#!/usr/bin/env sh

conf_path=$1
if [ -z "$conf_path" ]
then
    conf_path="conf/b01.sh"
fi

echo "conf_path: $conf_path"

. $conf_path

echo "root_dir: $root_dir"
mkdir -p $root_dir
cd $root_dir

time=`date +"%Y%m%d"`
backup_dir="$time"
sql_path="$time.sql"
pack_path="$time.tar.bz2"


args="--host=$host --user=$user --password=$password --no-timestamp $backup_dir"
#echo "cmd: innobackupex $args"
#innobackupex $args

args="-h$host -u$user -p$password --all-databases"
echo "cmd: mysqldump $args > $sql_path"
mysqldump $args > $sql_path
if [ "$?" -ne "0" ];then
    rm -f $sql_path
    exit
fi

tar jcf $pack_path $sql_path
rm -f $sql_path

find $root_dir -name "*.tar.bz2" -type f -mtime +30 | xargs rm -rf

